Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtCPointerData Class Reference

`#include <qwt_series_data.h>`

Inheritance diagram for QwtCPointerData:
[legend]

List of all members.

## Public Member Functions
| QwtCPointerData (const double *x, const double *y, size_t size)
virtual QRectF | boundingRect () const
virtual QPointF | sample (size_t i) const
virtual size_t | size () const
const double * | xData () const
const double * | yData () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
virtual | ~QwtSeriesData ()
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | d_boundingRect

## Detailed Description

Data class containing two pointers to memory blocks of doubles.

## Constructor & Destructor Documentation

QwtCPointerData::QwtCPointerData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters:

  x | Array of x values
  y | Array of y values
  size | Size of the x and y arrays

Warning:
  The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also:
  QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

## Member Function Documentation

QRectF QwtCPointerData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QPointF >.

QPointF QwtCPointerData::sample | ( | size_t | i | ) | const
| virtual

Return the sample at position i

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QPointF >.

size_t QwtCPointerData::size | ( |  | ) | const
| virtual

Returns:
  Size of the data set

Implements QwtSeriesData< QPointF >.

const double * QwtCPointerData::xData | ( |  | ) | const

Returns:
  Array of the x-values

const double * QwtCPointerData::yData | ( |  | ) | const

Returns:
  Array of the y-values